Public Class BTLDataWndV

   Private WithEvents m_BTLDataWndVM As BTLDataWndVM

   Sub New(Owner As Window, BTLDataWndVM As BTLDataWndVM)
      MyBase.New(Owner)
      ' This call is required by the designer.
      InitializeComponent()
      Me.DataContext = BTLDataWndVM
      Me.Tag = Map.refProjectVM.BTLStructureVM
      ' Assegno al riferimento locale al VM il VM preso dal DataContext
      m_BTLDataWndVM = BTLDataWndVM
   End Sub

   Private Sub CloseWindow(bDialogResult As Boolean) Handles m_BTLDataWndVM.m_CloseWindow
      Me.DialogResult = bDialogResult
   End Sub

End Class
